using System.Collections;
using System.Collections.Generic;
using Unity.VisualScripting;
using UnityEngine;

public class BasicEnemyMovingState: IState
{
    public void OnEnter(BasicEnemyStateController sc)
    {
        
    }

    public void UpdateState(BasicEnemyStateController sc)
    {

    }

    public void OnExit(BasicEnemyStateController sc)
    {

    }

}
